.btn-inter {
  width: 100%;
  color: #fff;
  padding: 15px;
  font-size: 20px;
  margin-bottom: 14px;
  @extend %flexbox;
  @include justify-content(space-between);
  &.RDF { background-color: $inter-rdf-color; }
  &.DDE { background-color: $inter-ass-color; }
  &.DEC { background-color: $inter-dec-color; }
  &.TAG { background-color: $inter-aut-color; }
  span {
    @extend %flexbox;
    @include align-items(center);
    @include flex(1);
  }
  .inter-number {
    display: inline-block;
    margin-right: 20px;
    padding-right: 10px;
    border-right: 1px solid #fff;
    min-width: 76px;
    max-width: 76px;
  }
  i {
    font-size: 32px;
  }
}

.btn {
  &.btn-primary, &.btn-secondary {
    text-transform: $btn-primary-txt-transform;
    border-radius: $btn-primary-radius;
    font-size: $btn-primary-size;
    font-weight: $btn-primary-weight;
    padding: $btn-primary-padding;
    border-width: $btn-primary-border-width;
    border-style: $btn-primary-border-style;
    border-color: $btn-primary-border-color;
  }
  &.btn-primary {
    background-color: $btn-primary-bg-color;
    color: $btn-primary-color;
    i { font-size: $btn-primary-icon-size; }
    i + span, span + i {
      margin-left: $btn-primary-icon-margin;
    }
    &.btn-small {
      padding: $btn-small-padding (2 * $btn-small-padding);
    }
    &.btn-main-mobile {
      @include media-breakpoint-down(sm) {
        span {
          display: none;
          + i { margin-left: 0; }
        }
      }
    }
  }
  &.btn-secondary {
    color: $btn-secondary-color;
    border-color: $btn-secondary-border-color;
    background: $btn-secondary-bg-color;
  }
  &.btn-small {
    &.btn-secondary {
      background: #fff;
      border-radius: $global-radius;
      border: 1px solid $second-color;
      color: $second-color;
      text-transform: none;
      font-weight: normal;
    }
  }
  &.btn-fixed {
    position: absolute;
    z-index: 999;
    right: 20px;
    bottom: 20px;
    box-shadow: 0 2px 8px rgba(#000, .3);
  }
  &.btn-icon {
    background-color: $btn-icon-bg-color;
    color: $btn-icon-color;
    border-radius: $btn-icon-radius;
    padding: $btn-icon-padding;
    i {
      font-size: $btn-icon-size;
    }
  }
}
.edition {
  .btn-icon {
    background-color: $edition-btn-icon-color;
    color: $edition-btn-icon-bg-color;
  }
}
.modal-content {
  .btn-icon {
    background-color: $first-color;
    color: #fff;
  }
}
.block-contact, .block-contact-content {
  .btn {
    &.btn-icon {
      background-color: transparent;
      color: $first-txt-color;
    }
  }
}

.btn-pdf {
  font-size: 12px;
  text-transform: uppercase;
  padding: 5px 8px 4px;
  border: 1px solid transparent;
  color: #fff;
  background-color: $first-color;
  text-align: center;
  &.btn-pdf-primary {
    background-color: #fff;
    border-color: $first-color;
    color: $first-color;
  }
  &.btn-pdf-secondary {
    background-color: #f8e71c;
    color: $first-color;
  }
}

.btn-img {
  width: 30px;
  height: 30px;
  background: $second-color;
  color: #fff;
  border: 3px solid $app-bg-color;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -6px;
  position: absolute;
  right: 0;
  cursor: pointer;
}

.Select + .btn-siren {
  margin-left: 6px;
}
.btn-siren {
  @extend %flexbox;
  @include align-items(center);
  @include justify-content(center);
  background: $first-color;
  border-radius: 100%;
  border: 2px solid #fff;
  color: #fff;
  width: 32px;
  height: 32px;
  &.active-alert {
    background-color: $alert-error-color;
  }
  i {
    font-size: 21px;
    margin-bottom: 1px;
    margin-left: 1px;
  }
}
.btn-inter.has-intervention-alert {
  .btn-siren {
    background-color: $alert-error-color;
    margin: 0 10px;
  }
}

.sticky-menu-list {
  position: sticky;
  top: 92px;
  padding: 10px 0;
  z-index: 9999;
  background: #eeeeee;
}

